org.apache.poi.hslf.record

## Enum InteractiveInfoAtom.Jump

- java.lang.Object
- - java.lang.Enum<InteractiveInfoAtom.Jump>
  - - org.apache.poi.hslf.record.InteractiveInfoAtom.Jump

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InteractiveInfoAtom.Jump>
  Enclosing class:
    InteractiveInfoAtom

      public static enum InteractiveInfoAtom.Jump
      extends java.lang.Enum<InteractiveInfoAtom.Jump>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END_SHOW`
    `FIRST_SLIDE`
    `LAST_SLIDE`
    `LAST_SLIDE_VIEWED`
    `NEXT_SLIDE`
    `NONE`
    `PREVIOUS_SLIDE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InteractiveInfoAtom.Jump` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InteractiveInfoAtom.Jump[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final InteractiveInfoAtom.Jump NONE

    - #### NEXT_SLIDE

          public static final InteractiveInfoAtom.Jump NEXT_SLIDE

    - #### PREVIOUS_SLIDE

          public static final InteractiveInfoAtom.Jump PREVIOUS_SLIDE

    - #### FIRST_SLIDE

          public static final InteractiveInfoAtom.Jump FIRST_SLIDE

    - #### LAST_SLIDE

          public static final InteractiveInfoAtom.Jump LAST_SLIDE

    - #### LAST_SLIDE_VIEWED

          public static final InteractiveInfoAtom.Jump LAST_SLIDE_VIEWED

    - #### END_SHOW

          public static final InteractiveInfoAtom.Jump END_SHOW

  - ### Method Detail

    - #### values

          public static InteractiveInfoAtom.Jump[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InteractiveInfoAtom.Jump c : InteractiveInfoAtom.Jump.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InteractiveInfoAtom.Jump valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.